Bug 287681 - cdrecord won't burn dvd-r
cdrecord won't burn dvd-r
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
6
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 10:53 EDT by Michael de Mare
Modified: 2008-05-03 17:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-03 17:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael de Mare 2007-09-12 10:53:22 EDT
Description of problem:

cdrecord stopped burning dvd-rs and now fails with the error wrong media type

Version-Release number of selected component (if applicable):

Cdrecord-Clone 2.01 (cpu-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling


How reproducible:

Every time


Steps to Reproduce:
1. put blank dvd-r in drive
2. run cdrecord
3.
  
Actual results:
:-[ WRITE@LBA=0h failed with SK=2h/ASC=30h/ACQ=11h]: Wrong medium type
:-( media is not formatted or unsupported.
:-( write failed: Wrong medium type

Expected results:

It should burn the DVD

Additional info:
Comment 1 Harald Hoyer 2007-09-12 11:02:46 EDT
hmm, try growisofs instead of cdrecord

# man growisofs
Comment 2 Michael de Mare 2007-09-12 11:07:09 EDT
growisofs gives the same error.  This error seems to have started after a 
kernel update.
Comment 3 Michael de Mare 2007-10-17 17:37:41 EDT
It still doesn't work.  The DVD burner is an HP DVD Writer 420n Revision 1.26.

Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c   1.83 04/05/20 Copyright 1997
J. Schilling').
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'HP      '
Identifikation : 'DVD Writer 420n '
Revision       : '1.26'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
cdrecord: Found DVD media: using cdr_mdvd.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: WARNING: This causes a high risk for buffer underruns.
scsi_set_streaming
Starting to write CD/DVD at speed 4 in real SAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
trackno=0
Turning BURN-Free off
cdrecord: Turning BURN-Free on
cdrecord: Success. reserve track: scsi sendcmd: no error
CDB:  53 00 00 00 00 00 06 CD 05 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 02 00 00 00 00 0A 00 00 00 00 30 11 00 00
Sense Key: 0x2 Not Ready, Segment 0
Sense Code: 0x30 Qual 0x11 (incompatible medium installed) [No matching
qualifier] Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.000s timeout 200s
cdrecord: Cannot open new session.
Comment 4 Harald Hoyer 2007-10-18 02:46:42 EDT
please show me the command lines for cdrecord and growisofs.
Comment 5 Michael de Mare 2007-10-18 04:20:05 EDT
[mikey@mikey-ws iso]$ growisofs -Z /dev/dvd=labor07.iso
Executing 'builtin_dd if=labor07.iso of=/dev/dvd obs=32k seek=0'
/dev/dvd: "Current Write Speed" is 1.0x1352KBps.
:-[ WRITE@LBA=0h failed with SK=2h/ASC=30h/ACQ=11h]: Wrong medium type
:-( media is not formatted or unsupported.
:-( write failed: Wrong medium type


[mikey@mikey-ws iso]$ cdrecord -dao labor07.iso
Cdrecord-Clone 2.01 (cpu-pc-linux-gnu) Copyright (C) 1995-2004 J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/cdrom'
devname: '/dev/cdrom'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c 1.83 04/05/20 Copyright 1997 J.
Schilling').
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'HP      '
Identifikation : 'DVD Writer 420n '
Revision       : '1.26'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
cdrecord: Found DVD media: using cdr_mdvd.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: WARNING: This causes a high risk for buffer underruns.
scsi_set_streaming
Starting to write CD/DVD at speed 4 in real SAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
trackno=0
Turning BURN-Free off
cdrecord: Turning BURN-Free on
cdrecord: Success. reserve track: scsi sendcmd: no error
CDB:  53 00 00 00 00 00 06 CD 05 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 02 00 00 00 00 0A 00 00 00 00 30 11 00 00
Sense Key: 0x2 Not Ready, Segment 0
Sense Code: 0x30 Qual 0x11 (incompatible medium installed) [No matching
qualifier] Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.000s timeout 200s
cdrecord: Cannot open new session.
[mikey@mikey-ws iso]$   
Comment 6 Harald Hoyer 2007-10-18 04:37:37 EDT
Hmm, both tools only report what your drive is answering..
"incompatible medium installed"
Are you sure, you inserted an empty DVD-R, which can be handled by your drive? :-)
If yes, I really can't help you. You could try a firmware update? Try to
downgrade to the kernel, with which it was working?
Comment 7 Harald Hoyer 2007-10-18 04:38:12 EDT
Or you can try to burn as "root".
Comment 8 Bug Zapper 2008-04-04 03:34:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Michael de Mare 2008-04-04 06:12:04 EDT
The issue was resolved by replacing the DVD recorder.  As it turns out, it was 
an 8X recorded and all new media is 16X.
Comment 10 Peter van Egdom 2008-05-03 17:47:10 EDT
Thank you for the bug report. Closing bug as per comment #9.

Note You need to log in before you can comment on or make changes to this bug.